<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page contentType="text/html;charset=UTF-8" 
	pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.spago.base.SourceBean, java.util.List, 
			org.spagic.metadb.model.Process, 
			it.eng.console.util.Constants, it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="docBase.jsp"%>
<head>
<title>Spagic Console</title>
<link rel="stylesheet" href='<%=docBase%>/css/console/console.css' type="text/css"/>
<link rel="stylesheet" href='<%=docBase%>/css/console/dhtmlgoodies_calendar.css' type="text/css"/>
<console:languageCodeCalendar/>
<script type="text/javascript" src='<%=docBase%>/js/console/ajax.js'></script>
<script type="text/javascript" src='<%=docBase%>/js/console/dhtmlgoodies_calendar.js'></script>
</head>
<body onload="init()">
<spago:error/>
<%
SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
%>
<script>
	var ajaxObjects = new Array();	
	var backup = true;
	function init() {				
		checkError();
	}
	function back() {
		window.location="<%=docBase%>/ProcessInstanceListFilteredAction.action";
	}
	function loadVersion(url) {
		var ajaxIndex = ajaxObjects.length;	
		ajaxObjects[ajaxIndex] = new sack();			
		ajaxObjects[ajaxIndex].requestFile = url;
		ajaxObjects[ajaxIndex].onCompletion = function(){showVersion(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	function showVersion(ajaxIndex) {
		//show version
		var responseXML = ajaxObjects[ajaxIndex].responseXML;
		var version = responseXML.getElementsByTagName("SERVICE_RESPONSE")[0].getAttribute("version");
		document.getElementById("version").value = version;
	}
	function backupExecute() {
		if (noInputFilterParameters()) {
			msg = composeMessage();
			agree = confirm(msg);
			if(agree)
				document.backupForm.submit();
			else 
				return;
			
		} else
			document.backupForm.submit();
	}
	function composeMessage() {
		if(backup) 
			msg = "<%=MessageBundle.getMessage("10010", "properties.console.messages")%>"
		else
			msg = "<%=MessageBundle.getMessage("10011", "properties.console.messages")%>"
		return msg;
	}
	
	function noInputFilterParameters() {
		if (document.backupForm.processId.value==-1 
			&& document.backupForm.version.value==""
			&& document.backupForm.dataInizio.value==""
			&& document.backupForm.dataFine.value=="")
			return true;
		return false;
	}
</script>
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="backup"/>
	        </div>
	        <console:backMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>

			<div id="mainContainer">
			<div id="processInstanceSearch">
			<form name="backupForm" action="<%=docBase%>/BackupInstancesAction.action">
				<br />
				<input checked type=RADIO onclick="backup=true" name="backup" value="backup"><label for="backup"><console:label id="backup"/></label><br/>
				<input type=RADIO onclick="backup=false" name="backup" value="delete"><label for="delete"><console:label id="delete"/></label><br /><br />
				<table>
					<tr>
					<td><label for="processId"><console:label id="process"/></label></td>
					<td><select name="processId" id="processId" onchange="loadVersion('<%=docBase%>/RelevantDataProcessAndVersionNotPublisherAction.action?<%=Constants.LBL_PROCESS_ID%>=' + this.value)">
						<option value="<%=Constants.ALL_PROCESS%>"></option>
						<%  
							List<Process> processList = (List<Process>)serviceResponse.getAttribute("processo");	
							for (Process process : processList) {
						%>
							<option value="<%=process.getIdProcess()%>"><%=process.getName()%></option>	
						<%
							}
						%>
						</select>
					</td>
					
					<td><label for="version"><console:label id="version"/></label></td>
					<td><input type='text' name="version" id="version" value="" size="3"/></td>
					</tr>
			
					<td><label for="dataInizio"><console:label id="start"/></label></td>
					<td><input readonly type='text' name="dataInizio" id="dataInizio" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataInizio'),formatData,this)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
					<td><label for="dataFine"><console:label id="end"/></label></td>
					<td><input readonly type='text' name="dataFine" id="dataFine" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataFine'),formatData,this)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
				</tr>
				</table>
				<br />
					<input type="button" onClick="backupExecute();return false;" value="<console:label id="execute"/>"/>
			</form>
			</div>
			</div> <!-- end mainContainer -->
		</div>
		</div>
</body>
</html>
