<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.console.util.Constants, it.eng.spago.base.SourceBean, 
			java.util.List, java.util.Iterator,it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>
<%@page import="it.eng.spago.message.MessageBundle"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<body onload="init()">
<spago:error/>
<% 	
		SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
		SourceBean listBean = (SourceBean)serviceResponse.getAttribute("PROCESSINSTANCELISTBYPARAMETERSMODULE.LIST");
		boolean restart = false;
		if(serviceResponse.getAttribute("PROCESSINSTANCELISTFILTERMODULE.PAGINATION_INFO.restart") != null 
				&& ((String)serviceResponse.getAttribute("PROCESSINSTANCELISTFILTERMODULE.PAGINATION_INFO.restart")).equals("TRUE") )
			restart = true;
%>
<script>
	function init(){
		<%if(restart){ %>	
			initTableWidget('myTable',800,450,Array(false,false,false,false,false,false,false,false,false));
		<%}else{%>
			initTableWidget('myTable',800,450,Array(false,false,false,false,false,false,false,false));
		<%}%>
		checkError();
	}
	
	function back(){
		<%String url = docBase + "/ProcessSearchAction.action";
			if(restart) 
				url += "?restart=TRUE";
		%>
		window.location = "<%=url%>";
	}
	
	function restartAll() {
		url="<%=docBase%>/ProcessInstanceListByParametersPage.page?restartAll=TRUE";
		var requestParameters = '';
		var inputElements = document.getElementsByTagName("INPUT"); 
		var input;
		if(inputElements!=null) {
			for (index=0; index<inputElements.length; index++) {
				input = inputElements[index];
				if(input.type == "checkbox") 
					requestParameters += "&" + input.name + "=" + input.value;
			}
		}
		window.location = url + requestParameters;
	}
	
	function showProcessInstanceGraph(processInstanceId, processId, advancedSearch){
		window.location = "<%=docBase%>" + "/ProcessGraphAction.action?processInstanceId=" + processInstanceId + "&processId=" + processId + "&advancedSearch=" +advancedSearch;
	}
	
	function navigateProcessList(page){
		var url = "<%=docBase%>" + "/ProcessInstanceListByParametersPage.page?PAGE_CMD=" + page;
		var requestParameters = '';
		var inputElements = document.getElementsByTagName("INPUT"); 
		var input;
		if(inputElements!=null) {
			for (index=0; index<inputElements.length; index++) {
				input = inputElements[index];
				if(input.type == "checkbox") 
					requestParameters += "&" + input.name + "=" + input.value;
			}
		}
		window.location = url + requestParameters;
	}
	
	function selectAll() {
		var url = "<%=docBase%>" + "/ProcessInstanceListByParametersPage.page?PAGE_CMD=CURRENT_PAGE&SELECT_ALL=TRUE";
		window.location = url;
	}
	
	function deselectAll() {
		var url = "<%=docBase%>" + "/ProcessInstanceListByParametersPage.page?PAGE_CMD=CURRENT_PAGE&SELECT_ALL=FALSE";
		window.location = url;
	}
	
</script>

	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="processInstanceList"/>
	        </div>
	        <%if(restart){ %>
	        	<console:restartAllMenu position="-2"/>
	        <%} %>
	        <console:backMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>
		<div id="mainContainer">
		<div id="processContainer">
			<div id="processFilteredList">
			<a href="#" onclick="navigateProcessList('<%=Constants.FIRST_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_rewind_blue.png" alt="First Page"></a>
			<a href="#" onclick="navigateProcessList('<%=Constants.PREV_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_back_blue.png" alt="Previous Page"></a>
			<% if (listBean.getAttributeAsList("ITEM").size()==Constants.sizeProcessInstanceListFiltered ) {%>
				<a id="nextPage" href="#" onclick="navigateProcessList('<%=Constants.NEXT_PAGE%>');return false;"><img src="<%=docBase%>/images/console/navigation/control_play_blue.png" alt="Next Page"></a>
			<%} if (restart) {%>
				<a href="#" style="position:absolute;left:102px;" onclick="selectAll();return false;"><img src="<%=docBase%>/images/console/selectAll.png" title="<%=MessageBundle.getMessage("selectAll","properties.spagic") %>" alt="<%=MessageBundle.getMessage("selectAll","properties.spagic")%>"></a>
				<a href="#" style="position:absolute;left:122px;" onclick="deselectAll();return false;"><img src="<%=docBase%>/images/console/deselectAll.png" title="<%=MessageBundle.getMessage("deselectAll","properties.spagic")%>" alt="<%=MessageBundle.getMessage("deselectAll","properties.spagic")%>"></a>
			<%} %>
			<div class="widget_tableDiv">
			<table id="myTable">
				<thead>
					<tr>
						<%if(restart){ %>
						<td></td>
						<%}%>
						<td><console:label id="id"/></td>
						<td><console:label id="process"/></td>
						<td><console:label id="iter"/></td>
						<td><console:label id="instance"/></td>
						<td><console:label id="organization"/></td>
						<td><console:label id="startProcess"/></td>
						<td><console:label id="endProcess"/></td>
						<td><console:label id="state"/></td>				
					</tr>
				</thead>
				<tbody id="processListTable" class="scrollingContent">
				<console:processInstanceList listPath="PROCESSINSTANCELISTBYPARAMETERSMODULE.LIST" restart="<%=restart%>" />
				</tbody>
			</table>
			</div>
			</div>
			
		</div> <!-- End processContainer -->
		</div>
	</div>
</div>	
</body>
</html>