<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="java.util.List, it.eng.spago.base.*, it.eng.console.util.Constants,
			it.eng.spago.message.MessageBundle, it.eng.spago.configuration.ConfigSingleton"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<body onload="init();return false;">
<%      
	List waitList = getServiceResponse(request).getAttributeAsList("LIST.ITEM");
%>
		<script>
		function init(){			
			initTableWidget('myTable',700,450,Array(false,false,false,false,false));
		}
		
		function reload() {
			var url = "<%=docBase%>/WaitListAction.action";
			window.location = url;
		}
	</script>
		
	
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="processWaitingList"/>
	        </div>
	        <console:reloadMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>
        
        <div id="mainContainer">
			<div id=processContainer>
						
				<div id="processWaitingList">
				
				<div class="widget_tableDiv">
				<table id="myTable">
					<thead>
						<tr>
							<td><console:label id="Id"/></td>
							<td><console:label id="process"/></td>
							<td><console:label id="version"/></td>	
							<td><console:label id="type"/></td>
							<td><console:label id="idCorrelation"/></td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
					</thead>
					<tbody id="processListTable" class="scrollingContent">
					<%	SourceBean wdBean;
						String waitId;
						String processName;
						String processInstanceId;
						

						if (waitList != null){
							for (int indexProcess=0; indexProcess<waitList.size();indexProcess++) {
								wdBean = (SourceBean)waitList.get(indexProcess);
								processInstanceId = (String)wdBean.getAttribute("processInstanceId"); 
								waitId = (String)wdBean.getAttribute("waitId"); 
								processName = (String)wdBean.getAttribute("processName");
								//idCorrelation = (String)wdBean.getAttribute("idCorrelation");
					%>
								<tr>
								<td><%=processInstanceId%></td>
								<td><%=processName%></td>
								<td><%=(String)wdBean.getAttribute("processVersion")%></td>
								<td><img src="<%=docBase%>/images/console/jbi.jpg" alt="JBI" title="JBI"/></td>		
								<td>&nbsp;</td>
								<td><a href="AdapterHTTP?ACTION_NAME=SendSignalAction&waitId=<%=waitId%>"><img src="<%=docBase%>/images/console/clock_play.png"/></a></td>
								<td><a href="AdapterHTTP?ACTION_NAME=SendKillAction&waitId=<%=waitId%>"><img src="<%=docBase%>/images/console/clock_stop.png"/></a></td>		
								</tr>
					<%
							}
							if (waitList.size() == 0) {
					%>	
								<tr>
								<td></td><td></td><td></td><td></td><td></td>
								</tr>	
					<%
							}
						}
						 else {
					%>	
						<tr>
						<td></td><td></td><td></td><td></td><td></td>
						</tr>
					<%} %>	
					</tbody>
				</table>
				</div>
				</div>
				
				
			</div><!-- end processContainer -->
		
		</div> <!-- end mainContainer -->
        </div>
        </div>
        
  </body>
  
</html>