package it.eng.spago.base;

class NamespaceMapping implements Cloneable {
	
	private String prefix;
	private String uri;
	
	public NamespaceMapping(String prefix, String uri) {
		super();
		this.prefix = prefix;
		this.uri = uri;
	}
	
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	public String getUri() {
		return uri;
	}
	public void setUri(String uri) {
		this.uri = uri;
	}

	protected Object clone() throws CloneNotSupportedException {
		return new NamespaceMapping(prefix, uri);
	}
	
	
}
