package it.eng.spago.message;

import java.util.ArrayList;
import java.util.List;

public class MessageBundleReference {

	private String bundleName = null;

	public MessageBundleReference(String bundleName) {
		super();
		this.bundleName = bundleName;
	}

	public String getBundleName() {
		return bundleName;
	}

	public void setBundleName(String bundleName) {
		this.bundleName = bundleName;
	}
	
	public String getMessage(String code) {
		return MessageBundle.getMessage(code, bundleName);
	}
	
	public String getMessage(String code, String arg0) {
		List params = new ArrayList(1);
		params.add(arg0);
		return MessageBundle.getMessage(code, bundleName, params);
	}
	
	public String getMessage(String code, String arg0, String arg1) {
		List params = new ArrayList(2);
		params.add(arg0);
		params.add(arg1);
		return MessageBundle.getMessage(code, bundleName, params);
	}

	public String getMessage(String code, String arg0, String arg1, String arg2) {
		List params = new ArrayList(3);
		params.add(arg0);
		params.add(arg1);
		params.add(arg2);
		return MessageBundle.getMessage(code, bundleName, params);
	}
}
