<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page contentType="text/html;charset=UTF-8" 
	pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.spago.base.SourceBean, java.util.List, 
			java.util.Iterator, org.spagic.metadb.model.Process, it.eng.console.util.Constants"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<%@include file="docBase.jsp"%>
<title>Spagic Console</title>
<link rel="stylesheet" href='<%=docBase%>/css/console/console.css' type="text/css"/>
<link rel="stylesheet" href='<%=docBase%>/css/console/dhtmlgoodies_calendar.css' type="text/css"/>
<console:languageCodeCalendar/>
<script type="text/javascript" src='<%=docBase%>/js/console/ajax.js'></script>
<script type="text/javascript" src='<%=docBase%>/js/console/dhtmlgoodies_calendar.js'></script>
</head>
<body onload="init()">
<spago:error/>
<%
SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
String restart = ((String)serviceResponse.getAttribute(Constants.LBL_RESTART) != null)
				 ? (String)serviceResponse.getAttribute(Constants.LBL_RESTART)
				 : "FALSE";
%>
<script>
	var ajaxObjects = new Array();	
	function init() {				
		checkError();
	}
	
	function back() {
		window.location="<%=docBase%>/ProcessInstanceListFilteredAction.action";
	}
	
	function loadProcessInstanceList(){
		var url = "<%=docBase%>" + "/ProcessInstanceListByParametersPage.page?"
		var requestParameters = '';
		var inputElements = document.getElementsByTagName("INPUT"); 
		var selectElements = document.getElementsByTagName("SELECT"); 
		var input;
		if(inputElements!=null) {
			for (index=0; index<inputElements.length; index++) {
				input = inputElements[index];
				if(input.getAttribute("type") != "button") 
					requestParameters += input.getAttribute("id") + "=" + document.getElementById(input.getAttribute("id")).value + "&";
			}
		}
		if(selectElements!=null) {
			for (index=0; index<selectElements.length; index++) {
				input = selectElements[index];
				requestParameters += input.getAttribute("id") + "=" + document.getElementById(input.getAttribute("id")).value + "&";
			}
		}
		window.location = url + requestParameters + "&savePaginationInfo=TRUE";
	}
	function loadRelevantDataAndVersion(url) {
		var ajaxIndex = ajaxObjects.length;	
		ajaxObjects[ajaxIndex] = new sack();			
		ajaxObjects[ajaxIndex].requestFile = url;
		ajaxObjects[ajaxIndex].onCompletion = function(){showRelevantDataAndVersion(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	function showRelevantDataAndVersion(ajaxIndex) {
		//reload attribute related to instance iter type
		var responseXML = ajaxObjects[ajaxIndex].responseXML;
		var contentAttribute = '';
		var showIterAttributes = false;
		var showProcessAttributes = false;
		var attributeList;
		var version = responseXML.getElementsByTagName("SERVICE_RESPONSE")[0].getAttribute("version");
		var type = responseXML.getElementsByTagName("SERVICE_RESPONSE")[0].getAttribute("type");
		//version
		if (document.getElementById("version")!=null) {
			contentComboVersion = "";
			for (indexVersion=0; indexVersion<version; indexVersion++) 
				contentComboVersion += '<option value="' + indexVersion + '">' + indexVersion + '</option>';
			contentComboVersion += '<option selected value="' + version + '">' + version + '</option>';
			document.getElementById("version").innerHTML = contentComboVersion;
		}
		document.getElementById("type").value = type;
		//process type
		if(type != "<%=Constants.ANY_TYPE%>")
			document.getElementById("type").disabled = true;
		else 
			document.getElementById("type").disabled = false;
		if(responseXML.getElementsByTagName("PROCESS_ATTRIBUTES").length > 0)
			showProcessAttributes = true;
		else
			showIterAttributes = true;
			
		if(responseXML.getElementsByTagName("PROCESS_ATTRIBUTE").length > 0)
			attributeList = responseXML.getElementsByTagName("PROCESS_ATTRIBUTE");
		else if(responseXML.getElementsByTagName("ATTRIBUTE").length > 0) 
			attributeList = responseXML.getElementsByTagName("ATTRIBUTE");
		
		if(attributeList != null && attributeList.length>0){
			var attribute;
			var prefix;
			if(showIterAttributes)
				prefix = "<%=Constants.PREFIX_ATTRIBUTE%>";	
			else if(showProcessAttributes)
				prefix = "<%=Constants.PREFIX_PROCESS_ATTRIBUTE%>";
			
			contentAttribute = '<TABLE>';
			for (index=0; index<attributeList.length; index++) {
				attribute = attributeList[index];
				contentAttribute += '<TR>';	
				contentAttribute += '<TD><LABEL>' + attribute.getAttribute("name") + '</LABEL></TD>';
				contentAttribute += '<TD><INPUT type="text" id="' + prefix + attribute.getAttribute("idAttribute") + '" name="' + prefix + attribute.getAttribute("idAttribute") + '" value="' + attribute.getAttribute("valore") + '" size="16"/></TD>';
				contentAttribute += '</TR>\n';
			}
			contentAttribute += '</TABLE>';
		}	
		if(showIterAttributes) 
			document.getElementById('inputFieldsRelevantDataAttributes').innerHTML=contentAttribute;	
		else if(showProcessAttributes)
			document.getElementById('inputFieldsRelevantDataProcess').innerHTML=contentAttribute;	
	
	}
</script>

	<div id="background"> 
   	<div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<%if (restart.equals("FALSE")) {%>
					<console:label id="advancedSearch"/>
				<%}else{ %>
					<console:label id="restartMultiple"/>
				<%} %>
	        </div>
	        <console:backMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>

		<div id="mainContainer">
		<div id="processInstanceSearch">
			<table>
				<tr>
				<td><label for="processId"><console:label id="process"/></label></td>
				<td><select name="processId" id="processId" onchange="loadRelevantDataAndVersion('<%=docBase%>/RelevantDataProcessAndVersionNotPublisherAction.action?<%=Constants.LBL_PROCESS_ID%>=' + this.value)">
					<option value="<%=Constants.ALL_PROCESS%>"></option>
					<%  
						List processList = (List)serviceResponse.getAttribute("processo");	
						Iterator processListIt = processList.iterator();
						Process process;
						while(processListIt.hasNext()) {
							process = (Process)processListIt.next();				
					%>
						<option value="<%=process.getIdProcess()%>"><%=process.getName()%></option>	
					<%
						}
					%>
					</select>
				</td>
				
				<td><label for="version"><console:label id="version"/></label></td>
				<td><select 
				<%if(restart.equalsIgnoreCase("TRUE")) {%>
				disabled <%} %> name="version" id="version">
					<option value="0">0</option>
				</select></td>
				<td><label for="type"><console:label id="type"/></label></td>
				<td><select name="type" id="type">
				<%  					
					if (restart.equalsIgnoreCase("FALSE")) {
				%>
					<option value="<%=Constants.ANY_TYPE%>"></option>
					<option value="<%=Constants.BPEL_PROCESS%>">BPEL</option>
				<%}%>
					<option value="<%=Constants.JBI_PROCESS%>">JBI</option>
					</select>
				</td>
				</tr>
			</table>
		 	<div id="inputFieldsRelevantDataProcess">
		 	</div>
		 	<br/>
			<table>
			<tr>
				<td><label for="owner"><console:label id="organization"/></label></td>
				<td colspan="3"><console:organizationCombo idSelect="owner"/></td>	
			</tr>
			<tr>
				<td><label for="dataInizio"><console:label id="start"/></label></td>
				<td><input readonly type='text' name="dataInizio" id="dataInizio" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataInizio'),formatData,this,true)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
				<td><label for="dataFine"><console:label id="end"/></label></td>
				<td><input readonly type='text' name="dataFine" id="dataFine" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataFine'),formatData,this,true)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
			</tr>
			<tr>
				<td><label for="stato"><console:label id="state"/></label></td>
				<td><select name="stato" id="stato">
					<%  					
						if (restart.equalsIgnoreCase("FALSE")) {
					%>
						<option value=""></option>
					<% } 					
						List processStateList = (List)serviceResponse.getAttribute("statoprocesso");	
						Iterator processStateListIt = processStateList.iterator();	
						String state;
						while(processStateListIt.hasNext()) {
							state = ((Integer)processStateListIt.next()).toString();				
					%>
						<option value="<%=state%>"><spago:message bundle="properties.console.processState" code="<%=state%>"/></option>	
					<%
						}
					%>
					</select>
				</td>
				<td><label for="ordinaPer"><console:label id="orderBy"/></label></td>
				<td><select name="ordinaPer" id="ordinaPer">			
						<option value="DATA"><console:label id="date"/></option>			
						<option value="OWNER"><console:label id="organization"/></option>					
						<option value="PROCESS"><console:label id="process"/></option>		
					</select>
					<select name="ordina" id="ordina">			
						<option value="ASC">ASC</option>			
						<option value="DESC" selected>DESC</option>									
					</select>
				</td>					
			</tr>	
			</table>
			<br/>
			<console:iterTypeCombo idSelect="idSelectedIterType" actionName="RelevantDataNotPublisherAction" jsFunctionName="loadRelevantDataAndVersion" showAttributes="<%=true%>"/>	
			<input type="hidden" id="restart" value="<%=restart%>">
			<input type="button" value="<console:label id="search"/>" onclick="loadProcessInstanceList();"/>
		</div>
		</div> <!-- end main container -->
	</div>
	</div>		
</body>
</html>
