package it.eng.spago.services;

/**
 * Exception thrown if a requested service is no registered in configuration or
 * if is not possible to instantiate it.
 * 
 * @see Exception#getCause()
 */
public class ServiceNotFound extends Exception {
	private static final long serialVersionUID = 1L;

    /**
     *  Constructor for the ServiceNotFound object
     *
     *@param  name  Description of the Parameter
     */
    public ServiceNotFound(String name) {
        super("Service \"" + name + "\" not found");
    }// public ServiceNotFound(String name)

}// public class ServiceNotFound extends Exception
